/**
 *  性能查询服务
 */
import HelperUtil from '../../utils/HelperUtil'
import AlarmDataDeleteAPI from '../../api/restApis/AlarmDataDeleteAPI'
// 静态方法
let staticMethods = {
  deleteAlarmData: function (selectList) {
    return AlarmDataDeleteAPI.deleteAlarmDatas(selectList).then(result => {
      if (result.data.result) {
        // return result.data.returnValue;
      } else {
        return HelperUtil.returnPromiseRejectObj(result);
      }
    })
  }
}

function AlarmDataDeleteService (websocketService = null) {

  return Object.freeze(Object.assign(
    {
      // object methods comes here
    },
    staticMethods
  ))
}
// inject static methods
Object.assign(AlarmDataDeleteService, staticMethods);
export default AlarmDataDeleteService
